E-MailRelay

Public Member Functions | Public Attributes | List of all members
GAuth::CramImp::PostDigesterAdaptor Struct Reference

Used by GAuth::Cram to use GSsl::Digester. More...

## Public Member Functions
| PostDigesterAdaptor (const std::string &name)
std::string | operator() (const std::string &state_pair, const std::string &data) const

## Public Attributes
std::string | m_name
std::size_t | m_valuesize
std::size_t | m_blocksize

## Detailed Description

Used by GAuth::Cram to use GSsl::Digester.

Definition at line 67 of file gcram.cpp.

## Constructor & Destructor Documentation

## ◆ PostDigesterAdaptor()

GAuth::CramImp::PostDigesterAdaptor::PostDigesterAdaptor | ( | const std::string & | name | ) |
| inline explicit

Definition at line 69 of file gcram.cpp.

## Member Function Documentation

## ◆ operator()()

std::string GAuth::CramImp::PostDigesterAdaptor::operator() | ( | const std::string & | state_pair,
|  | const std::string & | data
| ) |  | const
| inline

Definition at line 78 of file gcram.cpp.

## Member Data Documentation

## ◆ m_blocksize

std::size_t GAuth::CramImp::PostDigesterAdaptor::m_blocksize

Definition at line 91 of file gcram.cpp.

## ◆ m_name

std::string GAuth::CramImp::PostDigesterAdaptor::m_name

Definition at line 89 of file gcram.cpp.

## ◆ m_valuesize

std::size_t GAuth::CramImp::PostDigesterAdaptor::m_valuesize

Definition at line 90 of file gcram.cpp.

The documentation for this struct was generated from the following file:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gauth/gcram.cpp